import requests
from bs4 import BeautifulSoup


# URL do site onde serão realizadas as buscas
url = 'http://www.robotica.cpscetec.com.br/eventos.php?pag=2024'
# Exibe a URL que será acessada
print('Fazendo a busca na URL: ' + url)

# Define cabeçalhos de requisição para simular um navegador e evitar bloqueios do servidor
headers = {
    'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/107.0.0.0 Safari/537.36'
}

# Envia uma requisição GET para a URL e obtém a resposta do servidor
pagina = requests.get(url, headers=headers)

# Converte o conteúdo da resposta para HTML e cria um objeto BeautifulSoup para manipulação
sopaHTML = BeautifulSoup(pagina.text, 'html.parser')

# Exibe o HTML completo da página
#print(sopaHTML)

#
paragrafos = sopaHTML.find_all('h3')
for p in paragrafos:
      print(p,"\n\n")

